Invite multiple remote notaries to join pool
This method invites multiple remote notaries to join a pool.
Specify the names and emails of the notaries you want to invite in the fileToUpload parameter. The format is as follows:
Required authentication scopes: notary_write, signature, organization_read.
Authentication
AuthorizationBearer
JWT Bearer token from DocuSign authorization server
Path parameters
organizationId
The organization's GUID.
poolId
The ID of the pool.
Request
This endpoint expects a multipart form containing a file.
fileToUpload
Bulk invite instructions CSV file
Response
Successful created response.
bulkActionId
The ID of the bulk action.
bulkActionType
The type of the bulk action.
createdById
The ID of the user who created the bulk action.
createdByName
The name of the user who created the bulk action.
createdByEmail
The email address of the user who created the bulk action.
createdDate
The date on which the action was created.
lastUpdatedDate
The date on which the action was last updated.
status
The status of the action. Possible values are:
queuedin_processcompletedprocessed_with_errors
totalItemsCount
Total number of items affected by the bulk action
processedItemsCount
Total number of items processed by the bulk action
addedItemCount
Total number of items added by the bulk action
updatedItemCount
Total number of existing items changed by the bulk action
removedItemCount
Total number of existing items removed by the bulk action
noActionRequiredItemCount
Total number of items unaffected by the bulk action
errorCount
Total number of errors encountered during the bulk action
warningCount
Total number of warnings encountered during the bulk action
errorRollup
List of the errors encountered during the execution of the bulk action
hasCsvResults
True if the bulk action has results available in Comma-Separated Value (CSV) format
csvResultsUrl
URL of the results in CSV format.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error